> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List all customers



## OpenAPI

````yaml openapi.yaml get /customers
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /customers:
    get:
      summary: List all customers
      operationId: listCustomers
      parameters:
        - name: limit
          in: query
          description: Number of items per page
          schema:
            type: integer
            default: 30
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            default: 1
        - name: search
          in: query
          description: Search by name, email, or phone
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  status:
                    type: string
                    example: OK
                  message:
                    type: string
                    example: Customers retrieved
                  totals:
                    type: integer
                    example: 25
                  last_page:
                    type: integer
                    example: 1
                  current_page:
                    type: integer
                    example: 1
                  selected:
                    type: integer
                    example: 25
                  items:
                    type: array
                    items: c68ad110-ff57-499c-9370-da4ff5c8b54e
                required:
                  - code
                  - status
                  - message
                  - items
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````